@charset "UTF-8";
.product-list-grid {
  --main-color: #283946;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
  gap: 10px;
}

@media (max-width: 480px) {
  .product-list-grid {
    grid-template-columns: 1fr;
  }
}

.product-list-grid .list-item-card {
  display: flex;
  flex-direction: column;
  gap: 10px;
  overflow: hidden;
  padding: 10px;
  transition: all .5s ease;
}

.product-list-grid .list-item-card:hover {
  box-shadow: 0px 0px 100px 2px rgba(0, 0, 0, 0.14);
}

.product-list-grid .list-item-card .product-img {
  display: flex;
  width: 100%;
  padding: 0;
  margin: 0;
}

.product-list-grid .list-item-card .product-img img{
  object-fit: cover;
  aspect-ratio: 1 / 1;
  padding: 0;
  margin: 0;
}

.product-list-grid .list-item-card .title {
  background-color: var(--main-color);
  overflow: hidden;
  flex: 1;
  min-width: 0;
  padding: 5px 10px;
  margin: 0;
  display: flex;
  justify-content: left;
  align-items: center;
  max-height: 36px;
  border-radius: 2px;
}

.product-list-grid .list-item-card .title a {
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-weight: 400;
  color: aliceblue;
}

.product-list-grid .list-item-card .property {
  display: flex;
  flex-direction: column;
}

.product-list-grid .list-item-card .property .prop-item {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.product-list-grid .list-item-card .property .prop-item .label,
.product-list-grid .list-item-card .property .prop-item .value {
  font-weight: 600;
  padding: 0;
  margin: 0;
}

.product-list-grid .list-item-card .property .prop-item .label {
  text-transform: uppercase;
  text-align: left;
}

.product-list-grid .list-item-card .property .prop-item .value {
  color: #D9750C;
  display: flex;
  justify-content: end;
}

.product-list-grid .list-item-card .foot {
  display: grid;
  grid-template-columns: 1fr 1fr;
  border-radius: 2px;
  overflow: hidden;
  color: aliceblue;
}

.product-list-grid .list-item-card .foot .label {
  background-color: #0345A8;
  padding: 5px 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  transition: all .5s ease;
}

.product-list-grid .list-item-card .foot .label:hover {
  filter: brightness(1.15);
}

.product-list-grid .list-item-card .foot .value {
  background-color: var(--main-color);
  padding: 5px 8px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: aliceblue;
  transition: all .5s ease;
}

.product-list-grid .list-item-card .foot .value:hover {
  filter: brightness(1.3);
}

.product-list-grid.soroy-shadow .list-item-card {
  box-shadow: 0px 0px 100px 2px rgba(0, 0, 0, 0.14);
}

sidebar#soroy-sidebar {
  min-width: 200px;
}

sidebar#soroy-sidebar ul {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 10px;
}

sidebar#soroy-sidebar ul li a {
  color: black;
  font-size: 16px;
  line-height: 1.5;
  font-weight: 400;
  text-decoration: none;
  padding-top: 5px;
  transition: all 400ms;
  padding: 5px 0;
  display: flex;
  width: 100%;
  padding: 5px;
  border-radius: 2px;
  transition: all .5s ease;
}

sidebar#soroy-sidebar ul li a:hover {
  background-color: #ccc;
}

sidebar#soroy-sidebar .has-submenu {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  position: relative;
  gap: 10px;
}

sidebar#soroy-sidebar .has-submenu > svg {
  width: 20px;
  height: 20px;
  display: flex;
  position: absolute;
  top: 5px;
  right: 5px;
  cursor: pointer;
  transition: all .5s;
}

sidebar#soroy-sidebar .has-submenu > svg.active {
  transform: rotate(90deg);
}

sidebar#soroy-sidebar .has-submenu .sub-menu {
  height: 0;
  overflow: hidden;
  transition: all .5s ease;
  width: 100%;
}

sidebar#soroy-sidebar .has-submenu .sub-menu a {
  color: #4f697c;
}

sidebar#soroy-sidebar .has-submenu .sub-menu.open {
  height: calc-size(auto, size);
}

.inquiry-container {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 99999;
  background-color: rgba(0, 0, 0, 0.7);
  justify-content: center;
  align-items: center;
  cursor: pointer;
  display: none;
}

.inquiry-container.active {
  display: flex;
}

.inquiry-container .wpforms-container .wpforms-form {
  padding: 20px;
  margin: auto;
  width: clamp(360px, 70vw, 600px);
  background-color: #fff;
  border-radius: 20px;
}

.inquiry-container .wpforms-container .wpforms-form .wpforms-field-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.inquiry-container .wpforms-container .wpforms-form .wpforms-field-container::before {
  content: 'Request A Quote';
  display: flex;
  width: 100%;
  padding: 0 15px 5px;
  font-size: 24px;
  font-weight: 700;
  align-items: center;
  justify-content: center;
}

.inquiry-container .wpforms-container .wpforms-form .wpforms-field-container .wpforms-field {
  padding: 0;
}

.inquiry-container .wpforms-container .wpforms-form .wpforms-field-container input {
  width: 100%;
  max-width: unset;
  background-color: #eee;
  min-height: 48px;
}

.inquiry-container .wpforms-container .wpforms-form .wpforms-field-container .wpforms-field-textarea textarea {
  border: 1px solid #e6f0ee;
  background-color: #eee;
}

.inquiry-container .wpforms-container .wpforms-form .wpforms-submit-container {
  margin-top: 20px;
  margin-bottom: 10px;
}

@media (max-width: 1024px) {
  section.application-quote-section .app-quote-wrap {
    gap: 30px !important;
  }
}

@media (max-width: 768px) {
  section.application-quote-section .app-quote-wrap {
    grid-template-columns: 1fr !important;
  }
}

.soroy-home-form.quote-right-box {
  /*background-color: #D9750C !important;*/
  padding: 28px 36px 36px !important;
}

@media (max-width: 1024px) {
  .soroy-home-form.quote-right-box {
    padding: 10px 15px 15px !important;
  }
}

.soroy-home-form.quote-right-box .quote-main-title {
  line-height: 1.5;
  padding: 0;
  margin: 0;
}

.soroy-home-form.quote-right-box .quote-sub-text {
  padding: 0;
  margin: 0 0 10px;
}

.soroy-home-form.quote-right-box .wpforms-container {
  margin: 0;
  padding: 0;
}

.soroy-home-form.quote-right-box .wpforms-field-container {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.soroy-home-form.quote-right-box .wpforms-field-container .wpforms-field {
  display: flex;
  flex-direction: column;
  width: 100%;
  padding: 0;
}

.soroy-home-form.quote-right-box .wpforms-field-container .wpforms-field .wpforms-field-label {
  display: none !important;
}

.soroy-home-form.quote-right-box .wpforms-field-container .wpforms-field input {
  max-width: unset !important;
}

.soroy-home-form.quote-right-box .wpforms-field-container .wpforms-field textarea {
  max-height: 80px;
}

.soroy-home-form.quote-right-box .wpforms-field-container .wpforms-field .wpforms-error {
  color: #000;
}

.soroy-home-form.quote-right-box .wpforms-submit-container {
  margin-top: 20px;
}

.soroy-home-form.quote-right-box .wpforms-submit-container .wpforms-submit {
  background-color: #FFD118;
  border-radius: 5px;
}

.soroy-news-section {
  max-width: 1500px;
  padding: 10px;
  width: 100%;
  margin: auto;
  display: flex;
  flex-direction: column;
  gap: 30px;
  margin-bottom: 60px !important;
}

.soroy-news-section .news-left-col {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.soroy-news-section .news-card-wrap {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
}

.soroy-news-section .news-card-wrap .news-card-item {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 10px;
  overflow: hidden;
}

.soroy-news-section .news-card-wrap .news-card-item .card-img-box {
  position: relative;
}

.soroy-news-section .news-card-wrap .news-card-item .card-title {
  min-width: 0;
  /* 关键 */
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 15px;
  line-height: 1.5;
}

.soroy-news-section .news-card-wrap .news-card-item .card-text {
  display: -webkit-box;
  line-clamp: 2;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
